Bug 1416932 - Error with "Last Refresh" for OpenStack Director Infrastructure Provider
Summary: Error with "Last Refresh" for OpenStack Director Infrastructure Provider
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Tzu-Mainn Chen
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 20:00 UTC by myoder
Modified: 2020-04-15 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 14:42:09 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description myoder 2017-01-26 20:00:09 UTC
Description of problem:

The "Last Refresh" status in the OpenStack Director Infrastructure Provider shows an Error - 14 Minutes Ago read timeout reached.

[----] I, [2017-01-25T12:05:06.664812 #4535:ded140]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) Refreshing all targets...
[----] I, [2017-01-25T12:05:06.665000 #4535:ded140]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [OpenStack-Director], id: [1000000000008] Refreshing targets for EMS...
[----] I, [2017-01-25T12:05:06.665108 #4535:ded140]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [OpenStack-Director], id: [1000000000008]   ManageIQ::Providers::Openstack::InfraManager [OpenStack-Director] id [1000000000008]
[----] I, [2017-01-25T12:05:06.665243 #4535:ded140]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh_targets_for_ems) EMS: [OpenStack-Director], id: [1000000000008] Refreshing target ManageIQ::Providers::Openstack::InfraManager [OpenStack-Director] id [1000000000008]...
[----] E, [2017-01-25T12:11:18.234512 #4535:ded140] ERROR -- : <Fog> excon.error     #<Excon::Error::Timeout: read timeout reached>
[----] E, [2017-01-25T12:11:18.235030 #4535:ded140] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [OpenStack-Director], id: [1000000000008] Refresh failed
[----] E, [2017-01-25T12:11:18.235363 #4535:ded140] ERROR -- : [Excon::Error::Timeout]: read timeout reached  Method:[rescue in block in refresh]
[----] E, [2017-01-25T12:11:18.235516 #4535:ded140] ERROR -- : /opt/rh/cfme-gemset/gems/excon-0.54.0/lib/excon/socket.rb:267:in `select_with_timeout'
[----] E, [2017-01-25T12:11:18.235688 #4535:ded140] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) EMS: [OpenStack-Director], id: [1000000000008] Unable to perform refresh for the following targets:
[----] E, [2017-01-25T12:11:18.235976 #4535:ded140] ERROR -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh)  --- ManageIQ::Providers::Openstack::InfraManager [OpenStack-Director] id [1000000000008]
[----] I, [2017-01-25T12:11:18.351117 #4535:ded140]  INFO -- : MIQ(ManageIQ::Providers::Openstack::InfraManager::Refresher#refresh) Refreshing all targets...Complete
[----] E, [2017-01-25T12:11:18.351402 #4535:ded140] ERROR -- : MIQ(MiqQueue#deliver) Message id: [1000000296611], Error: [read timeout reached]
[----] E, [2017-01-25T12:11:18.351557 #4535:ded140] ERROR -- : [EmsRefresh::Refreshers::EmsRefresherMixin::PartialRefreshError]: read timeout reached  Method:[rescue in deliver]
[----] E, [2017-01-25T12:11:18.351737 #4535:ded140] ERROR -- : /var/www/miq/vmdb/app/models/ems_refresh/refreshers/ems_refresher_mixin.rb:50:in `refresh'

Version-Release number of selected component (if applicable):
CFME 5.7.0.17

How reproducible:

Reoccuring during each auto refresh

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.